diff --git a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
index 8312f28ec..ca81ae218 100644
--- a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
+++ b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
@@ -153,10 +153,10 @@ public abstract class ScrolledSelectionList {
             yDrag = -1F;
         }
         capYPosition();
-        GL11.glDisable(2896 /*GL_LIGHTING*/);
-        GL11.glDisable(2912 /*GL_FOG*/);
+        GL11.glDisable(GL11.GL_LIGHTING);
+        GL11.glDisable(GL11.GL_FOG);
         Tessellator tessellator = Tessellator.instance;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
+        minecraft.renderEngine.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f1 = 32F;
         tessellator.startDrawingQuads();
@@ -181,7 +181,7 @@ public abstract class ScrolledSelectionList {
                 int minX = width / 2 - 110;
                 int maxX = width / 2 + 110;
                 GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-                GL11.glDisable(3553 /*GL_TEXTURE_2D*/);
+                GL11.glDisable(GL11.GL_TEXTURE_2D);
                 tessellator.startDrawingQuads();
                 tessellator.setColorOpaque_I(0x808080);
                 tessellator.addVertexWithUV(minX, iy + height + 2, 0.0D, 0.0D, 1.0D);
@@ -194,20 +194,20 @@ public abstract class ScrolledSelectionList {
                 tessellator.addVertexWithUV(maxX - 1, iy - 1, 0.0D, 1.0D, 0.0D);
                 tessellator.addVertexWithUV(minX + 1, iy - 1, 0.0D, 0.0D, 0.0D);
                 tessellator.draw();
-                GL11.glEnable(3553 /*GL_TEXTURE_2D*/);
+                GL11.glEnable(GL11.GL_TEXTURE_2D);
             }
             renderItem(itemIndex, ix, iy, height, tessellator);
         }
 
-        GL11.glDisable(2929 /*GL_DEPTH_TEST*/);
+        GL11.glDisable(GL11.GL_DEPTH_TEST);
         byte byte0 = 4;
         renderHoleBackground(0, y0, 255, 255);
         renderHoleBackground(y1, height, 255, 255);
-        GL11.glEnable(3042 /*GL_BLEND*/);
+        GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
-        GL11.glDisable(3008 /*GL_ALPHA_TEST*/);
-        GL11.glShadeModel(7425 /*GL_SMOOTH*/);
-        GL11.glDisable(3553 /*GL_TEXTURE_2D*/);
+        GL11.glDisable(GL11.GL_ALPHA_TEST);
+        GL11.glShadeModel(GL11.GL_SMOOTH);
+        GL11.glDisable(GL11.GL_TEXTURE_2D);
         tessellator.startDrawingQuads();
         tessellator.setColorRGBA_I(0, 0);
         tessellator.addVertexWithUV(x0, y0 + byte0, 0.0D, 0.0D, 1.0D);
@@ -259,16 +259,16 @@ public abstract class ScrolledSelectionList {
             tessellator.addVertexWithUV(l, l4, 0.0D, 0.0D, 0.0D);
             tessellator.draw();
         }
-        renderDecorations(ix, y);
-        GL11.glEnable(3553 /*GL_TEXTURE_2D*/);
-        GL11.glShadeModel(7424 /*GL_FLAT*/);
-        GL11.glEnable(3008 /*GL_ALPHA_TEST*/);
-        GL11.glDisable(3042 /*GL_BLEND*/);
+        renderDecorations(x, y);
+        GL11.glEnable(GL11.GL_TEXTURE_2D);
+        GL11.glShadeModel(GL11.GL_FLAT);
+        GL11.glEnable(GL11.GL_ALPHA_TEST);
+        GL11.glDisable(GL11.GL_BLEND);
     }
 
     private void renderHoleBackground(int y0, int y1, int a0, int a1) {
         Tessellator tessellator = Tessellator.instance;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
+        minecraft.renderEngine.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f = 32F;
         tessellator.startDrawingQuads();
